package svc

import (
	"juwan-backend/app/notification/api/internal/config"
	"juwan-backend/app/notification/rpc/notificationservice"

	"github.com/zeromicro/go-zero/zrpc"
)

type ServiceContext struct {
	Config          config.Config
	NotificationRpc notificationservice.NotificationService
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config:          c,
		NotificationRpc: notificationservice.NewNotificationService(zrpc.MustNewClient(c.NotificationRpcConf)),
	}
}
